//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//

#include "leg.inc"                          /*declared jack leg*/
#include "deco.inc"                         /*declared jack'n'box graphic*/

//---- The Box
#include "boxframe.inc"                     /*main decrative metal*/
object { Deco_Panel }
object { Deco_Panel rotate y*90 }           /*deco panels*/
object { Deco_Panel rotate y*180 }
//object { Deco_Panel rotate y*-90 }
object { Leg_1 }                            /*brass legs*/
object { Leg_1 rotate y*90 }
object { Leg_1 rotate y*180 }
object { Leg_1 rotate y*-90 }
#include "clips.inc"                        /*clips for open panel*/
#include "r_panel.inc"                      /*open side panel*/
#include "in_mask.inc"                      /*black mask*/

//---- Door and Crank
union {
  #include "bdoor.inc"                      /*back panel*/
  union {
    #include "crank_hd.inc"                 /*red crank handle*/
    #include "crank_br.inc"                 /*crank bridge*/
    #include "crank_ps.inc"                 /*crank post and support ring*/
    rotate z*-20
    translate y*-3
  }
  #include "j_door.inc"                     /*box door with deco panel*/
  rotate x*70
  translate <0, 10, -120>
}


//---- Soldiering Iron
union {
  #include "weldbody.inc"
  #include "trigger.inc"
  #include "soldier.inc"
  #include "tip.inc"
  #include "tip_supt.inc"
  #include "weldshaf.inc"
  #include "l_plate.inc"
  #include "l_back.inc"
  #include "bulb.inc"
  #include "handle.inc"
  rotate x*90
  rotate y*-75
  translate <121, -64.5, -132.5>
}

#include "smoke.inc"

//---- Bench & Wall
#include "wall.inc"
object {
  #include "bench.inc"
  translate z*18
}

#include "b_trim.inc"
#include "cord.inc"
#include "socket.inc"

union {
  #include "room.inc"
  rotate y*10
}

//--- PC Board & Chips
#include "pcboard.inc"                      /*printed pcboard*/
#include "chip1.inc"                        /*declare pc chips*/
#include "chip2.inc"
#include "chip3.inc"
#include "diod1.inc"
#include "diod2.inc"
#include "diod3.inc"
#include "diod4.inc"

union {
  object { Chip_1 }
  object { Chip_1_Leg }
  translate 0
}

union {
  object { Chip_1 }
  object { Chip_1_Leg }
  translate y*-9
}

union {
  object { Chip_1 }
  object { Chip_1_Leg }
  translate y*-18
}

union {
  object { Chip_3 }
  object { Chip_3_Leg }
  translate y*8
}

union {
  object { Chip_3 }
  object { Chip_3_Leg }
  translate <-11, 8, 0>
}

union {
  object { Chip_2 }
  object { Chip_2_Leg }
  translate y*8
}

object { Diod_2 }

object { Diod_2_Leg }

union {
  object { Diod_4 }
  object { Diod_4_Leg }
  translate y*5
}

union {
  object { Diod_4 }
  object { Diod_4_Leg }
  translate <-4, 5, 0>
}

union {
  object { Diod_4 }
  object { Diod_4_Leg }
  translate <-8, 5, 0>
}

union {
  object { Diod_4 }
  object { Diod_4_Leg }
  translate <-12, 5, 0>
}

union {
  object { Diod_3 }
  object { Diod_3_Leg }
  translate 0
}

union {
  object { Diod_3 }
  object { Diod_3_Leg }
  translate x*3
}

union {
  object { Diod_3 }
  object { Diod_3_Leg }
  translate x*6
}

union {
  object { Diod_1 }
  object { Diod_1_Leg }
  translate 0
}

union {
  object { Diod_1 }
  object { Diod_1_Leg }
  translate x*3
}

union {
  object { Diod_1 }
  object { Diod_1_Leg }
  translate x*6
}

union {
  object { Diod_1 }
  object { Diod_1_Leg }
  translate x*9
}

union {
  object { Diod_1 }
  object { Diod_1_Leg }
  translate x*12
}

union {
  object { Diod_1 }
  object { Diod_1_Leg }
  translate <33, -34, 0>
}

union {
  object { Diod_3 texture { Diod_3b_Tex }}
  object { Diod_3_Leg }
  translate y*25
}

union {
  object { Diod_3 texture { Diod_3b_Tex }}
  object { Diod_3_Leg }
  translate <3, 25, 0>
}

union {
  object { Diod_3 texture { Diod_3b_Tex }}
  object { Diod_3_Leg }
  translate <6, 25, 0>
}

union {
  object { Diod_3 texture { Diod_3b_Tex }}
  object { Diod_3_Leg }
  translate <9, 25, 0>
}

union {
  object { Diod_3 texture { Diod_3b_Tex }}
  object { Diod_3_Leg }
  translate <12, 25, 0>
}

#include "rib.inc"                          /* ribbon clip*/
#include "ribbon.inc"                       /*declared ribbon section"*/

//--- Computer Ribbon
object { Rib_1 texture { Dark_Red_Plastic } translate x* 0.5 }
object { Rib_1 texture { Gray_Plastic }     translate x* 1.1 }
object { Rib_1 texture { Gray_Plastic }     translate x* 2.2 }
object { Rib_1 texture { Gray_Plastic }     translate x* 3.3 }
object { Rib_1 texture { Gray_Plastic }     translate x* 4.4 }
object { Rib_1 texture { Gray_Plastic }     translate x* 5.5 }
object { Rib_1 texture { Gray_Plastic }     translate x* 6.6 }
object { Rib_1 texture { Gray_Plastic }     translate x* 7.7 }
object { Rib_1 texture { Gray_Plastic }     translate x* 8.8 }
object { Rib_1 texture { Gray_Plastic }     translate x* 9.9 }
object { Rib_1 texture { Gray_Plastic }     translate x*11 }
object { Rib_1 texture { Gray_Plastic }     translate x*12.1 }
object { Rib_1 texture { Gray_Plastic }     translate x*13.2 }
object { Rib_1 texture { Gray_Plastic }     translate x*14.3 }
object { Rib_1 texture { Gray_Plastic }     translate x*15.4 }
object { Rib_Clip }

#include "pc_bulb.inc"


//---- Jacks Head
union {
  #include "head.inc"
  rotate x*-15
  rotate y*-40
  translate <-25, 25, 22>
}


//---- Box Lid
#include "lid.inc"

#include "screws.inc"
#include "b_facia.inc"

